1. Campaigns
Leadfeeder API
  • Introduction
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Retrieve Companies
    • Company Financial Reports
    • Search Company Signals
    • Search Companies
    • Match Companies
    • Retrieve Company IPs
    • Add Company to Lists
    • Remove Company from Lists
    • Assign Tags to Company
    • Unassign Tags from Company
    • Estimate Company Enrichment Job
    • Create Company Enrichment Job
    • Get Company Enrichment Job Status
  • Contacts
    • Get Contact Details
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
    • Estimate Find Contact Data Job
    • Create Find Contact Data Job
    • Get Find Contact Data Job Status
  • Web Visits
    • Custom Feed - Filter Reference
    • How to Create Custom Feed
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • Campaigns
    • Retrieve Campaigns
      GET
    • Get Campaign Details
      GET
    • Update Campaign
      PATCH
    • Retrieve Campaign Stats
      GET
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Get Buyer Persona Details
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Get Ideal Customer Profile Details
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
  • Schemas
    • AccountV1
    • AccountSummaryV1
    • ErrorObjectV1
    • CompanyV1
    • TagV1
    • ListV1
    • VisitLocationV1
    • WebVisitV1
    • CRMUserV1
    • CRMOrganizationV1
    • CRMContactV1
    • CRMLeadV1
    • CRMConnectionV1
    • CRMSuggestionV1
    • CRMGroupConnectionV1
    • ICPV1
    • CompanyFinancialsV1
    • IpAddressExtendedV1
    • CompanyIpV1
    • SignalV1
    • CompanySummaryV1
    • MaskedCompanySummaryV1
    • CompanyMatchV1
    • EnrichmentJobV1
    • BuyerPersonaV1
    • ContactV1
    • ContactSummaryV1
    • MaskedContactSummaryV1
    • FindContactDataJobV1
    • CustomFieldV1
    • CustomFeedV1
    • CampaignSettingsV1
    • CampaignSummaryV1
    • CampaignLocationV1
    • CampaignV1
    • CampaignStatsV1
    • IpLocationV1
    • NetworkV1
    • EnrichedIpV1
    • ApiUsageV1
    • CustomFeedRequestV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • LocationV1
    • CompanyLocationV1
  1. Campaigns

Update Campaign

PATCH
/v1/campaigns/{id}
Update a specific campaign using its campaign ID. Supports changes to campaign attributes such as name, budget, status, associated list or custom feed, and campaign settings.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Path Params

Query Params

Body Params application/jsonRequired

Example
{
    "data": {
        "type": "campaign",
        "attributes": {
            "name": "Q2 EMEA enterprise push (renamed)",
            "status": "scheduled",
            "budget": 30000
        },
        "relationships": {
            "list": {
                "type": "list",
                "id": "company_42"
            },
            "campaign_settings": {
                "type": "campaign_settings",
                "id": "1234",
                "attributes": {
                    "brand_safety_domains_exclusion_enabled": true,
                    "automatically_remove_target_companies": false
                }
            }
        }
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.leadfeeder.com/v1/campaigns/1234?account_id=123456' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "data": {
        "type": "campaign",
        "attributes": {
            "name": "Q2 EMEA enterprise push (renamed)",
            "status": "scheduled",
            "budget": 30000
        },
        "relationships": {
            "list": {
                "type": "list",
                "id": "company_42"
            },
            "campaign_settings": {
                "type": "campaign_settings",
                "id": "1234",
                "attributes": {
                    "brand_safety_domains_exclusion_enabled": true,
                    "automatically_remove_target_companies": false
                }
            }
        }
    }
}'

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Example
{
    "data": {
        "type": "campaign",
        "id": "1234",
        "attributes": {
            "name": "Q2 EMEA enterprise push",
            "status": "running",
            "start_date": "2026-05-01T00:00:00Z",
            "end_date": "2026-08-01T00:00:00Z",
            "location_type": "country",
            "budget_type": "total",
            "budget": 25000,
            "total_budget": 25000,
            "budget_spent": 4231.55,
            "budget_left": 20768.45,
            "currency": "EUR",
            "can_be_started": true,
            "targets_crm_open_opportunities": false,
            "created_at": "2026-04-01T09:15:00Z",
            "updated_at": "2026-05-10T12:00:00Z"
        },
        "relationships": {
            "created_by": {
                "id": "12345",
                "type": "user"
            },
            "list": {
                "id": "company_42",
                "type": "list",
                "attributes": {
                    "name": "VIP accounts",
                    "scope": "company",
                    "created_at": "2026-01-02T03:04:05.000000Z",
                    "updated_at": "2026-04-05T06:07:08.000000Z"
                },
                "relationships": {
                    "created_by": {
                        "id": "9999",
                        "type": "user"
                    }
                }
            },
            "custom_feed": {
                "id": "feed-100",
                "type": "custom_feed",
                "attributes": {
                    "name": "My feed",
                    "created_at": "2026-01-15T10:30:00.000Z",
                    "updated_at": "2026-01-20T14:00:00.000Z",
                    "deletable": true,
                    "viewable": true,
                    "notifications": [],
                    "advanced_filters": null
                },
                "relationships": {
                    "created_by": {
                        "id": "12345",
                        "type": "user"
                    },
                    "folder": null
                }
            },
            "campaign_settings": {
                "id": "1234",
                "type": "campaign_settings",
                "attributes": {
                    "brand_safety_domains_exclusion_enabled": true,
                    "automatically_include_new_target_companies": true,
                    "automatically_remove_target_companies": true,
                    "ads_visible_only_on_weekdays": false
                }
            },
            "campaign_summary": {
                "id": "1234",
                "type": "campaign_summary",
                "attributes": {
                    "clicks": 50,
                    "impressions": 1000,
                    "targeted_count": 120,
                    "audience_count": 250,
                    "reached_count": 8,
                    "influenced_count": 4,
                    "visits_count": 10,
                    "currency": "EUR",
                    "ecpm": 25,
                    "ecpc": 0.5,
                    "ctr": 0.05,
                    "total_cost": 25,
                    "ecpv": 2.5,
                    "vtr": 0.01,
                    "cost_per_company": 3.13
                }
            },
            "campaign_locations": [
                {
                    "id": "98765",
                    "type": "campaign_location",
                    "attributes": {
                        "name": "Portugal",
                        "location_type": "country",
                        "country_code": "PT"
                    }
                }
            ]
        }
    },
    "meta": {
        "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    }
}
🟠400Bad Request
🟠403Forbidden
🟠404Record Not Found
🟠422Parameter Error
🟠429
🔴500Server Error
🔴504Gateway Timeout
Modified at 2026-05-29 11:56:07
Previous
Get Campaign Details
Next
Retrieve Campaign Stats
Built with